Package org.eclipse.m2m.atl.emftvm.trace.provider

## Class TraceItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.emftvm.trace.util.TraceAdapterFactory
    - - org.eclipse.m2m.atl.emftvm.trace.provider.TraceItemProviderAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`, `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`, `org.eclipse.emf.edit.provider.IChangeNotifier`, `org.eclipse.emf.edit.provider.IDisposable`

    public class TraceItemProviderAdapterFactory
    extends TraceAdapterFactory
    implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

### Field Summary

Fields
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected SourceElementItemProvider` `sourceElementItemProvider` This keeps track of the one adapter used for all `SourceElement` instances.
`protected SourceElementListItemProvider` `sourceElementListItemProvider` This keeps track of the one adapter used for all `SourceElementList` instances.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
`protected TargetElementItemProvider` `targetElementItemProvider` This keeps track of the one adapter used for all `TargetElement` instances.
`protected TracedRuleItemProvider` `tracedRuleItemProvider` This keeps track of the one adapter used for all `TracedRule` instances.
`protected TraceLinkItemProvider` `traceLinkItemProvider` This keeps track of the one adapter used for all `TraceLink` instances.
`protected TraceLinkSetItemProvider` `traceLinkSetItemProvider` This keeps track of the one adapter used for all `TraceLinkSet` instances.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.trace.util.TraceAdapterFactory

`modelPackage, modelSwitch`

### Constructor Summary

Constructors
`TraceItemProviderAdapterFactory()` This constructs an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `adapt​(java.lang.Object object, java.lang.Object type)`
`org.eclipse.emf.common.notify.Adapter` `adapt​(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createSourceElementAdapter()` This creates an adapter for a `SourceElement`.
`org.eclipse.emf.common.notify.Adapter` `createSourceElementListAdapter()` This creates an adapter for a `SourceElementList`.
`org.eclipse.emf.common.notify.Adapter` `createTargetElementAdapter()` This creates an adapter for a `TargetElement`.
`org.eclipse.emf.common.notify.Adapter` `createTracedRuleAdapter()` This creates an adapter for a `TracedRule`.
`org.eclipse.emf.common.notify.Adapter` `createTraceLinkAdapter()` This creates an adapter for a `TraceLink`.
`org.eclipse.emf.common.notify.Adapter` `createTraceLinkSetAdapter()` This creates an adapter for a `TraceLinkSet`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType​(java.lang.Object type)`
`void` `removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.trace.util.TraceAdapterFactory

`createAdapter, createEObjectAdapter, createTraceElementAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

### Field Detail

#### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

This keeps track of the root adapter factory that delegates to this adapter factory.

#### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

This is used to implement `IChangeNotifier`.

#### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

This keeps track of all the supported types checked by `isFactoryForType`.

#### traceLinkSetItemProvider

    protected TraceLinkSetItemProvider traceLinkSetItemProvider

This keeps track of the one adapter used for all `TraceLinkSet` instances.

#### tracedRuleItemProvider

    protected TracedRuleItemProvider tracedRuleItemProvider

This keeps track of the one adapter used for all `TracedRule` instances.

#### traceLinkItemProvider

    protected TraceLinkItemProvider traceLinkItemProvider

This keeps track of the one adapter used for all `TraceLink` instances.

#### sourceElementItemProvider

    protected SourceElementItemProvider sourceElementItemProvider

This keeps track of the one adapter used for all `SourceElement` instances.

#### targetElementItemProvider

    protected TargetElementItemProvider targetElementItemProvider

This keeps track of the one adapter used for all `TargetElement` instances.

#### sourceElementListItemProvider

    protected SourceElementListItemProvider sourceElementListItemProvider

This keeps track of the one adapter used for all `SourceElementList` instances.

### Constructor Detail

#### TraceItemProviderAdapterFactory

    public TraceItemProviderAdapterFactory()

This constructs an instance.

### Method Detail

#### createTraceLinkSetAdapter

    public org.eclipse.emf.common.notify.Adapter createTraceLinkSetAdapter()

This creates an adapter for a `TraceLinkSet`.

Overrides:
  `createTraceLinkSetAdapter` in class `TraceAdapterFactory`
Returns:
  the new adapter.
See Also:
  `TraceLinkSet`

#### createTracedRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createTracedRuleAdapter()

This creates an adapter for a `TracedRule`.

Overrides:
  `createTracedRuleAdapter` in class `TraceAdapterFactory`
Returns:
  the new adapter.
See Also:
  `TracedRule`

#### createTraceLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createTraceLinkAdapter()

This creates an adapter for a `TraceLink`.

Overrides:
  `createTraceLinkAdapter` in class `TraceAdapterFactory`
Returns:
  the new adapter.
See Also:
  `TraceLink`

#### createSourceElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSourceElementAdapter()

This creates an adapter for a `SourceElement`.

Overrides:
  `createSourceElementAdapter` in class `TraceAdapterFactory`
Returns:
  the new adapter.
See Also:
  `SourceElement`

#### createTargetElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTargetElementAdapter()

This creates an adapter for a `TargetElement`.

Overrides:
  `createTargetElementAdapter` in class `TraceAdapterFactory`
Returns:
  the new adapter.
See Also:
  `TargetElement`

#### createSourceElementListAdapter

    public org.eclipse.emf.common.notify.Adapter createSourceElementListAdapter()

This creates an adapter for a `SourceElementList`.

Overrides:
  `createSourceElementListAdapter` in class `TraceAdapterFactory`
Returns:
  the new adapter.
See Also:
  `SourceElementList`

#### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### setParentAdapterFactory

    public void setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object type)

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `TraceAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.

#### adapt

    public org.eclipse.emf.common.notify.Adapter adapt​(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### adapt

    public java.lang.Object adapt​(java.lang.Object object,
                                  java.lang.Object type)

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### addListener

    public void addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This adds a listener.

Specified by:
  `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### removeListener

    public void removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This removes a listener.

Specified by:
  `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### fireNotifyChanged

    public void fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)

This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### dispose

    public void dispose()

This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`